/** \file main.c
 *
 * \brief Console: standard input/output.
 *
 * This example program demonstrates the use of the standard input output routines
 * via USART.
 *
 * \note
 * You can only send one character at a time via the USART. C has a standard module
 * to send something more complex such as strings or numbers. This module connects
 * stdio with the USART so that it is possible to interact with the console with
 * functions like getchar, putchar, gets, puts and printf. Please use the Internet
 * to get more information.
 *
 * \author    Wolfgang Neff
 * \version   1.1
 * \date      2018-07-22
 *
 * \par History
 *      Created: 2015-02-06 \n
 *      Modified: 2017-11-26 \n
 *      Modified: 2018-06-27
 */

#include <stdio.h>
#include <avr/io.h>

#include "console.h"

// Module console.h uses the USB-to-USART gateway. The serial line parameters
// for PuTTY are therefore 115200 8N1.
int main(void)
{
	// Initialize the module.
    console_init();
    while(1)
    {
		// Read one character from console.
	    char c = getchar();
		// Print one character at the console.
	    printf("%c", c);
    }
}
